1. Calls
Dialgood
  • DG
    • Call Control
      • Mute an active call
      • Unmute an active call
      • Clear Outbound Call Queue
      • Message Announcement
    • Live Status
      • Get transcript and transcript entries for a campaign
      • Get normalized call status and CDR details for a campaign
    • Voices
      • List available voices with optional filters and pagination
    • Calls
      • Place Outbound Call
        POST
      • Get Live Call Transcript
        GET
      • Get Call Transcript
        GET
      • Get Call Records
        GET
      • Get Call Recording
        GET
    • Agents
      • Get Agents
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • outbound body
    • ErrorResponse
    • ProxyControlRequestBody
    • ProxyControlResponse
    • LiveTranscriptEntry
    • LiveTranscriptResponse
    • CdrStatusResponse
    • VoiceLabels
    • Voice
    • VoicesPaginatedResponse
  1. Calls

Get Live Call Transcript

GET
https://api.dialgood.com/external/v1/live-transcript/{campaignId}

Request

Authorization
API Key
Add parameter in header
api_token
Example:
api_token: ********************
or
API Key
Add parameter in query
api_token
Example:
api_token: ********************
or
Path Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.dialgood.com/external/v1/live-transcript/' \
--header 'Accept: application/json' \
--header 'api_token: <api-key>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "campaignId": "40410559-a812-4fe8-b75c-513d39c1c1ed",
    "conversationId": "ef8c1cd9-9138-123f-6abf-020089741023",
    "callId": "ef8c1cd9-9138-123f-6abf-020089741023",
    "status": "available",
    "entries": [
        {
            "role": "assistant",
            "text": "Hey — it’s Alex from Apex Haulage. Am I speaking with Mark?"
        },
        {
            "role": "user",
            "text": "yeah how's it going"
        }
    ]
}
Modified at 2026-03-06 05:03:55
Previous
Place Outbound Call
Next
Get Call Transcript
Built with